Start a rolling release for the project
POST
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/startStart a rolling release for a deployment. If a rolling release is already active for the same canary deployment, returns the current state without side effects.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.rollingRelease.startRollingRelease({ idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "rollingRelease": { "activeStage": { "duration": "null", "index": "0", "isFinalStage": "false", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" }, "advancementType": "manual-approval", "canaryDeployment": { "createdAt": "1540257589405", "id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ", "name": "my-project", "readyState": "READY", "readyStateAt": "123", "source": "cli", "target": "null", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "currentCanaryPercentage": "123", "currentDeployment": { "createdAt": "1540257589405", "id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ", "name": "my-project", "readyState": "READY", "readyStateAt": "123", "source": "cli", "target": "null", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "nextStage": { "duration": "null", "index": "0", "isFinalStage": "false", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" }, "queuedDeploymentId": "dpl_ghi789", "stages": [ { "duration": "null", "index": "0", "isFinalStage": "false", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" } ], "startedAt": "1716210500000", "state": "ACTIVE", "substate": "PAUSED", "updatedAt": "1716210600000" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error
422Error